short-comic {
    --sc-nav-btn-border: 0;
    --sc-nav-btn-hover-border: 0;
    --sc-nav-btn-border-radius: 0.5rem;
    --sc-nav-btn-color: black;
    --sc-nav-btn-hover-color: black;
    --sc-nav-btn-bg: rgba(255, 255, 255, 0.5);
    --sc-nav-btn-hover-bg: rgba(255, 255, 255, 0.6);
    --sc-nav-btn-padding: 0.5rem 1rem;
}

short-comic {
    display: block;
    max-height: 100%;
    height: 100%;
    width: 100%;

    .comic-display-container {
        height: 100%;
        max-height: 100vh;
        display: flex;
        flex-direction: column;
        align-content: center;
        justify-content: start;
    }

    .comic-page-display {
        position: relative;
        flex-shrink: 1;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: center;
        overflow: hidden;
        
        img {
            max-height: 100%;
            max-width: 100%;
            object-fit: scale-down;
        }

        .next, .previous {
            position: absolute;
            display: block;
            background: none;
            border: none;
        }
        .previous {
            top: 0;
            bottom: 0;
            right: 70%;
            left: 0;
        }
        .next {
            top: 0;
            left: 30%;
            bottom: 0;
            right: 0;
        }
    }

    .comic-navigation {
        display: flex;
        flex-direction: row;
        justify-content: center;
        padding: 1rem;
        .navigate-back, .navigate-forward {
            display: flex;
            flex-direction: row;
            gap: 1rem;
        }
        .navigate-back {
            justify-content: start;
        }
        .navigate-forward {
            justify-content: end;
        }
        .navigate-spacer {
            width: 10rem;
        }

        button {
            border-radius: var(--sc-nav-btn-border-radius);
            padding: var(--sc-nav-btn-padding);

            border: var(--sc-nav-btn-border);
            background-color: var(--sc-nav-btn-bg);
            color: var(--sc-nav-btn-color);

            &:hover {
                border: var(--sc-nav-btn-hover-border);
                background-color: var(--sc-nav-btn-hover-bg);
                color: var(--sc-nav-btn-hover-color);
            }
        }
    }
    .comic-page-description {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}